<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsSvInfo Struct Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_xs_sv_info-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsSvInfo Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A container for information of one satellite.  
 <a href="struct_xs_sv_info.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aed5557c95d2456ede0f373ba3bea960c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed5557c95d2456ede0f373ba3bea960c"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_sv_info.html#aed5557c95d2456ede0f373ba3bea960c">m_chn</a></td></tr>
<tr class="memdesc:aed5557c95d2456ede0f373ba3bea960c"><td class="mdescLeft">&#160;</td><td class="mdescRight">channel number, range 0..NCH-1 <br /></td></tr>
<tr class="separator:aed5557c95d2456ede0f373ba3bea960c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98fd9abf028027144c6e0d0560424363"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a98fd9abf028027144c6e0d0560424363"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_sv_info.html#a98fd9abf028027144c6e0d0560424363">m_svid</a></td></tr>
<tr class="memdesc:a98fd9abf028027144c6e0d0560424363"><td class="mdescLeft">&#160;</td><td class="mdescRight">Satellite ID. <br /></td></tr>
<tr class="separator:a98fd9abf028027144c6e0d0560424363"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a490c18087006d7c56f01fa2832f525bd"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_sv_info.html#a490c18087006d7c56f01fa2832f525bd">m_flags</a></td></tr>
<tr class="separator:a490c18087006d7c56f01fa2832f525bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46b4a262a4f8e56fe4d3e1f055c7257c"><td class="memItemLeft" align="right" valign="top">int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_sv_info.html#a46b4a262a4f8e56fe4d3e1f055c7257c">m_qi</a></td></tr>
<tr class="separator:a46b4a262a4f8e56fe4d3e1f055c7257c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12b87a6e2e4f36c5344ea2bb6c07811e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a12b87a6e2e4f36c5344ea2bb6c07811e"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_sv_info.html#a12b87a6e2e4f36c5344ea2bb6c07811e">m_cno</a></td></tr>
<tr class="memdesc:a12b87a6e2e4f36c5344ea2bb6c07811e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Carrier to Noise Ratio (Signal Strength) (dbHz) <br /></td></tr>
<tr class="separator:a12b87a6e2e4f36c5344ea2bb6c07811e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba88439ed2f873a0fa8725d7eeab180c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aba88439ed2f873a0fa8725d7eeab180c"></a>
int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_sv_info.html#aba88439ed2f873a0fa8725d7eeab180c">m_elev</a></td></tr>
<tr class="memdesc:aba88439ed2f873a0fa8725d7eeab180c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Elevation in integer (deg) <br /></td></tr>
<tr class="separator:aba88439ed2f873a0fa8725d7eeab180c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa98f1cda37bb0d0b430e353656684d8a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa98f1cda37bb0d0b430e353656684d8a"></a>
int16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_sv_info.html#aa98f1cda37bb0d0b430e353656684d8a">m_azim</a></td></tr>
<tr class="memdesc:aa98f1cda37bb0d0b430e353656684d8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Azimuth in integer (deg) <br /></td></tr>
<tr class="separator:aa98f1cda37bb0d0b430e353656684d8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa14138a3be5ad53fa3af4fd9645eb667"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa14138a3be5ad53fa3af4fd9645eb667"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_sv_info.html#aa14138a3be5ad53fa3af4fd9645eb667">m_prres</a></td></tr>
<tr class="memdesc:aa14138a3be5ad53fa3af4fd9645eb667"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pseudo range residual (cm) <br /></td></tr>
<tr class="separator:aa14138a3be5ad53fa3af4fd9645eb667"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A container for information of one satellite. </p>
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000079">Deprecated:</a></b></dt><dd></dd></dl>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a490c18087006d7c56f01fa2832f525bd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t XsSvInfo::m_flags</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Bitmask, made up of the following bit values 0x01 = SV is used for navigation 0x02 = Differential correction data is available for this SV 0x04 = Orbit information is available for this SV (Ephemeris or Almanach) 0x08 = Orbit information is Ephemeris 0x10 = SV is unhealthy / shall not be used 0x20 = reserved 0x40 = reserved 0x80 = reserved </p>

</div>
</div>
<a class="anchor" id="a46b4a262a4f8e56fe4d3e1f055c7257c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int8_t XsSvInfo::m_qi</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Signal Quality indicator (range 0..7). The following list shows the meaning of the different QI values: 0: This channel is idle 1, 2: Channel is searching 3: Signal detected but unusable 4: Code Lock on Signal 5, 6: Code and Carrier locked 7: Code and Carrier locked, receiving 50bps data </p>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
